DocsAPI ReferenceCalendar/api/v1/calendar/detail
getCalendarPublic API v1

/api/v1/calendar/detail

No description provided.

calendargetApiV1CalendarDetail

Parameters

2 query

2 total
Query · 2
apiKeystringRequired

Your BizKitHub API key (passed as GET parameter).

Key format: A 32-character string matching: ^(PROD|DEV_|ROOT)[A-Za-z0-9]{28}$
Prefixes: PROD (production key), DEV_ (individual developer), ROOT (system key with no limits). Learn more

codestringRequired

Request

GET /api/v1/calendar/detail

get
curl -X GET "https://api.bizkithub.com/api/v1/calendar/detail?apiKey=PRODPGrFxpGEtrOZfuWhnoJohUYBXuOE&code=2WRp6X5rSqQa321EjHB2mxZz74u74H84" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Response

JSON payload

{
  "name": "Jan reservation meeting calendar",
  "color": "#000000",
  "timezone": "Europe/Prague",
  "configuration": {
    "description": "Personal meetings for new clients.",
    "onlineChangeDeadline": "24h",
    "relatedCalendarIds": [
      "2WRp6X5rSqQa321EjHB2mxZz74u74H84"
    ],
    "reserveFrom": "0m",
    "reserveUntil": "14d",
    "timeSlotInterval": "15m"
  }
}

All response codes

1 status code documented

Need an API key?

All BizKitHub API endpoints require authentication via API key.

Get API Key